cURL
curl --request PATCH \
--url https://app-api.aide.app/v1/inbox/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"waitingAutoCloseDays": 183,
"closedReplyNewConversationDays": 183,
"snoozePresets": [
{
"label": "<string>",
"days": 183
}
],
"defaultView": "<string>",
"hiddenDefaultViews": [
"<string>"
],
"autoAwayMinutes": 720,
"refundApprovalThreshold": 500000,
"aiOrderActions": {},
"aiRefundCap": 500000,
"aiRefundMaxPercent": 50.5,
"aiRefundDailyLimit": 500000,
"returns": {
"portalUrl": "<string>",
"windowDays": 183,
"excludedProductTags": [
"<string>"
]
}
}
'import requests
url = "https://app-api.aide.app/v1/inbox/settings"
payload = {
"waitingAutoCloseDays": 183,
"closedReplyNewConversationDays": 183,
"snoozePresets": [
{
"label": "<string>",
"days": 183
}
],
"defaultView": "<string>",
"hiddenDefaultViews": ["<string>"],
"autoAwayMinutes": 720,
"refundApprovalThreshold": 500000,
"aiOrderActions": {},
"aiRefundCap": 500000,
"aiRefundMaxPercent": 50.5,
"aiRefundDailyLimit": 500000,
"returns": {
"portalUrl": "<string>",
"windowDays": 183,
"excludedProductTags": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
waitingAutoCloseDays: 183,
closedReplyNewConversationDays: 183,
snoozePresets: [{label: '<string>', days: 183}],
defaultView: '<string>',
hiddenDefaultViews: ['<string>'],
autoAwayMinutes: 720,
refundApprovalThreshold: 500000,
aiOrderActions: {},
aiRefundCap: 500000,
aiRefundMaxPercent: 50.5,
aiRefundDailyLimit: 500000,
returns: {portalUrl: '<string>', windowDays: 183, excludedProductTags: ['<string>']}
})
};
fetch('https://app-api.aide.app/v1/inbox/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/inbox/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'waitingAutoCloseDays' => 183,
'closedReplyNewConversationDays' => 183,
'snoozePresets' => [
[
'label' => '<string>',
'days' => 183
]
],
'defaultView' => '<string>',
'hiddenDefaultViews' => [
'<string>'
],
'autoAwayMinutes' => 720,
'refundApprovalThreshold' => 500000,
'aiOrderActions' => [
],
'aiRefundCap' => 500000,
'aiRefundMaxPercent' => 50.5,
'aiRefundDailyLimit' => 500000,
'returns' => [
'portalUrl' => '<string>',
'windowDays' => 183,
'excludedProductTags' => [
'<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/inbox/settings"
payload := strings.NewReader("{\n \"waitingAutoCloseDays\": 183,\n \"closedReplyNewConversationDays\": 183,\n \"snoozePresets\": [\n {\n \"label\": \"<string>\",\n \"days\": 183\n }\n ],\n \"defaultView\": \"<string>\",\n \"hiddenDefaultViews\": [\n \"<string>\"\n ],\n \"autoAwayMinutes\": 720,\n \"refundApprovalThreshold\": 500000,\n \"aiOrderActions\": {},\n \"aiRefundCap\": 500000,\n \"aiRefundMaxPercent\": 50.5,\n \"aiRefundDailyLimit\": 500000,\n \"returns\": {\n \"portalUrl\": \"<string>\",\n \"windowDays\": 183,\n \"excludedProductTags\": [\n \"<string>\"\n ]\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app-api.aide.app/v1/inbox/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"waitingAutoCloseDays\": 183,\n \"closedReplyNewConversationDays\": 183,\n \"snoozePresets\": [\n {\n \"label\": \"<string>\",\n \"days\": 183\n }\n ],\n \"defaultView\": \"<string>\",\n \"hiddenDefaultViews\": [\n \"<string>\"\n ],\n \"autoAwayMinutes\": 720,\n \"refundApprovalThreshold\": 500000,\n \"aiOrderActions\": {},\n \"aiRefundCap\": 500000,\n \"aiRefundMaxPercent\": 50.5,\n \"aiRefundDailyLimit\": 500000,\n \"returns\": {\n \"portalUrl\": \"<string>\",\n \"windowDays\": 183,\n \"excludedProductTags\": [\n \"<string>\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/inbox/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"waitingAutoCloseDays\": 183,\n \"closedReplyNewConversationDays\": 183,\n \"snoozePresets\": [\n {\n \"label\": \"<string>\",\n \"days\": 183\n }\n ],\n \"defaultView\": \"<string>\",\n \"hiddenDefaultViews\": [\n \"<string>\"\n ],\n \"autoAwayMinutes\": 720,\n \"refundApprovalThreshold\": 500000,\n \"aiOrderActions\": {},\n \"aiRefundCap\": 500000,\n \"aiRefundMaxPercent\": 50.5,\n \"aiRefundDailyLimit\": 500000,\n \"returns\": {\n \"portalUrl\": \"<string>\",\n \"windowDays\": 183,\n \"excludedProductTags\": [\n \"<string>\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "inbox_settings",
"reassignOnAway": true,
"waitingAutoCloseDays": 123,
"closedReplyNewConversationDays": 123,
"replySetsWaiting": true,
"aiReplyStatus": "closed",
"notesAndAssignmentsUnsnooze": true,
"snoozePresets": [
{
"rule": "in_days",
"label": "<string>",
"days": 123
}
],
"defaultView": "<string>",
"hiddenDefaultViews": [
"<string>"
],
"selfAssignOnReply": true,
"unassignOnReturnToAide": true,
"autoAwayMinutes": 123,
"refundApprovalThreshold": 123,
"defaultAssignmentMethod": "balanced",
"aiOrderActions": {
"address": true,
"cancel": true,
"note": true,
"refund": true,
"remove_item": true
},
"aiRefundCap": 123,
"aiRefundMaxPercent": 123,
"aiRefundDailyLimit": 123,
"returns": {
"handledBy": "aftership",
"portalUrl": "<string>",
"portalIdentifier": "email",
"shopifyMode": "open",
"windowDays": 123,
"excludedProductTags": [
"<string>"
]
}
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}HelpdeskSetting
Patch v1inboxsettings
PATCH
/
v1
/
inbox
/
settings
cURL
curl --request PATCH \
--url https://app-api.aide.app/v1/inbox/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"waitingAutoCloseDays": 183,
"closedReplyNewConversationDays": 183,
"snoozePresets": [
{
"label": "<string>",
"days": 183
}
],
"defaultView": "<string>",
"hiddenDefaultViews": [
"<string>"
],
"autoAwayMinutes": 720,
"refundApprovalThreshold": 500000,
"aiOrderActions": {},
"aiRefundCap": 500000,
"aiRefundMaxPercent": 50.5,
"aiRefundDailyLimit": 500000,
"returns": {
"portalUrl": "<string>",
"windowDays": 183,
"excludedProductTags": [
"<string>"
]
}
}
'import requests
url = "https://app-api.aide.app/v1/inbox/settings"
payload = {
"waitingAutoCloseDays": 183,
"closedReplyNewConversationDays": 183,
"snoozePresets": [
{
"label": "<string>",
"days": 183
}
],
"defaultView": "<string>",
"hiddenDefaultViews": ["<string>"],
"autoAwayMinutes": 720,
"refundApprovalThreshold": 500000,
"aiOrderActions": {},
"aiRefundCap": 500000,
"aiRefundMaxPercent": 50.5,
"aiRefundDailyLimit": 500000,
"returns": {
"portalUrl": "<string>",
"windowDays": 183,
"excludedProductTags": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
waitingAutoCloseDays: 183,
closedReplyNewConversationDays: 183,
snoozePresets: [{label: '<string>', days: 183}],
defaultView: '<string>',
hiddenDefaultViews: ['<string>'],
autoAwayMinutes: 720,
refundApprovalThreshold: 500000,
aiOrderActions: {},
aiRefundCap: 500000,
aiRefundMaxPercent: 50.5,
aiRefundDailyLimit: 500000,
returns: {portalUrl: '<string>', windowDays: 183, excludedProductTags: ['<string>']}
})
};
fetch('https://app-api.aide.app/v1/inbox/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/inbox/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'waitingAutoCloseDays' => 183,
'closedReplyNewConversationDays' => 183,
'snoozePresets' => [
[
'label' => '<string>',
'days' => 183
]
],
'defaultView' => '<string>',
'hiddenDefaultViews' => [
'<string>'
],
'autoAwayMinutes' => 720,
'refundApprovalThreshold' => 500000,
'aiOrderActions' => [
],
'aiRefundCap' => 500000,
'aiRefundMaxPercent' => 50.5,
'aiRefundDailyLimit' => 500000,
'returns' => [
'portalUrl' => '<string>',
'windowDays' => 183,
'excludedProductTags' => [
'<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/inbox/settings"
payload := strings.NewReader("{\n \"waitingAutoCloseDays\": 183,\n \"closedReplyNewConversationDays\": 183,\n \"snoozePresets\": [\n {\n \"label\": \"<string>\",\n \"days\": 183\n }\n ],\n \"defaultView\": \"<string>\",\n \"hiddenDefaultViews\": [\n \"<string>\"\n ],\n \"autoAwayMinutes\": 720,\n \"refundApprovalThreshold\": 500000,\n \"aiOrderActions\": {},\n \"aiRefundCap\": 500000,\n \"aiRefundMaxPercent\": 50.5,\n \"aiRefundDailyLimit\": 500000,\n \"returns\": {\n \"portalUrl\": \"<string>\",\n \"windowDays\": 183,\n \"excludedProductTags\": [\n \"<string>\"\n ]\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app-api.aide.app/v1/inbox/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"waitingAutoCloseDays\": 183,\n \"closedReplyNewConversationDays\": 183,\n \"snoozePresets\": [\n {\n \"label\": \"<string>\",\n \"days\": 183\n }\n ],\n \"defaultView\": \"<string>\",\n \"hiddenDefaultViews\": [\n \"<string>\"\n ],\n \"autoAwayMinutes\": 720,\n \"refundApprovalThreshold\": 500000,\n \"aiOrderActions\": {},\n \"aiRefundCap\": 500000,\n \"aiRefundMaxPercent\": 50.5,\n \"aiRefundDailyLimit\": 500000,\n \"returns\": {\n \"portalUrl\": \"<string>\",\n \"windowDays\": 183,\n \"excludedProductTags\": [\n \"<string>\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/inbox/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"waitingAutoCloseDays\": 183,\n \"closedReplyNewConversationDays\": 183,\n \"snoozePresets\": [\n {\n \"label\": \"<string>\",\n \"days\": 183\n }\n ],\n \"defaultView\": \"<string>\",\n \"hiddenDefaultViews\": [\n \"<string>\"\n ],\n \"autoAwayMinutes\": 720,\n \"refundApprovalThreshold\": 500000,\n \"aiOrderActions\": {},\n \"aiRefundCap\": 500000,\n \"aiRefundMaxPercent\": 50.5,\n \"aiRefundDailyLimit\": 500000,\n \"returns\": {\n \"portalUrl\": \"<string>\",\n \"windowDays\": 183,\n \"excludedProductTags\": [\n \"<string>\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"object": "inbox_settings",
"reassignOnAway": true,
"waitingAutoCloseDays": 123,
"closedReplyNewConversationDays": 123,
"replySetsWaiting": true,
"aiReplyStatus": "closed",
"notesAndAssignmentsUnsnooze": true,
"snoozePresets": [
{
"rule": "in_days",
"label": "<string>",
"days": 123
}
],
"defaultView": "<string>",
"hiddenDefaultViews": [
"<string>"
],
"selfAssignOnReply": true,
"unassignOnReturnToAide": true,
"autoAwayMinutes": 123,
"refundApprovalThreshold": 123,
"defaultAssignmentMethod": "balanced",
"aiOrderActions": {
"address": true,
"cancel": true,
"note": true,
"refund": true,
"remove_item": true
},
"aiRefundCap": 123,
"aiRefundMaxPercent": 123,
"aiRefundDailyLimit": 123,
"returns": {
"handledBy": "aftership",
"portalUrl": "<string>",
"portalIdentifier": "email",
"shopifyMode": "open",
"windowDays": 123,
"excludedProductTags": [
"<string>"
]
}
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Authorizations
An access token, bound to one account.
Body
application/json
Required range:
1 <= x <= 365Required range:
1 <= x <= 365Available options:
1, 1, true, true, on, 0, 0, false, false Available options:
like_teammate, open, waiting_on_customer, closed Available options:
1, 1, true, true, on, 0, 0, false, false Maximum array length:
10Show child attributes
Show child attributes
Required string length:
1 - 64Maximum array length:
50Required string length:
1 - 64Available options:
1, 1, true, true, on, 0, 0, false, false Available options:
1, 1, true, true, on, 0, 0, false, false Required range:
1 <= x <= 1440Required range:
0 <= x <= 1000000Available options:
1, 1, true, true, on, 0, 0, false, false Available options:
manual, round_robin, balanced Show child attributes
Show child attributes
Required range:
0 <= x <= 1000000Required range:
1 <= x <= 100Required range:
0 <= x <= 1000000Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes